Bug 1417069 - Email notification fails for Satellite Promotion and Satellite Sync Summary
Summary: Email notification fails for Satellite Promotion and Satellite Sync Summary
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Email
Version: 6.2.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On: 1369817
Blocks: 1122832 CEE_Sat6_Top_BZs, GSS_Sat6_Top_Bugs
TreeView+ depends on / blocked
 
Reported: 2017-01-27 07:48 UTC by pm-sat@redhat.com
Modified: 2020-07-16 09:09 UTC (History)
18 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.9.6.4-1.fm1_14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1369817
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16303 0 Normal Closed sync and publish emails are never sent 2020-12-11 14:37:44 UTC
Foreman Issue Tracker 21366 0 Normal Closed Email notification fails for Promotion and Sync Summary 2020-12-11 14:37:45 UTC
Red Hat Knowledge Base (Solution) 2575831 0 None None None 2017-01-27 07:49:00 UTC

Comment 3 Brad Buckingham 2017-09-06 15:11:52 UTC
Failed verification with Satellite 6.3 SNAP 14: satellite-6.3.0-17.0.beta.el7sat.noarch, tfm-rubygem-katello-3.4.5-1.el7sat.noarch

- created a user, assigned email notifications for "Host errata advisory", "Promote errata" and "Sync errata"
- assigned the user to a host that was registered to Library/rhel7 (cv)
- published a new version of rhel7 (cv)

- the task did attempt to send email; however, it failed with the following error:

result: |-
  Unable to send errata e-mail notification: undefined method `deliver_now' for #<MailNotification:0x007f2ab15077f0>
  Did you mean?  deliver

- NOTE: this error is consistent with the 6.2.z clone bug 1369817#c17; therefore, we will probably require downstream MR to address the difference

Comment 4 pm-sat@redhat.com 2017-09-06 16:20:00 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 8 Og Maciel 2017-11-28 19:19:57 UTC
Please be aware of the following errors when promoting (Satellite 6.3.0 SNAP 26):

2017-11-28 14:15:33  [app] [E] Unable to send errata e-mail notification: Could not find stylesheet "$FOREMAN_PREFIX/assets/unimported/email-2661723e7b5ca9b48a28e246bad0829a1feca554cc13d7404457d17c115e70f8.css": All providers failed
 | Used providers:
 |      #<Roadie::FilesystemProvider /usr/share/satellite/public>: /usr/share/satellite/public/$FOREMAN_PREFIX/assets/unimported/email-2661723e7b5ca9b48a28e246bad0829a1feca554cc13d7404457d17c115e70f8.css does not exist. (Original name was "$FOREMAN_PREFIX/assets/unimported/email-2661723e7b5ca9b48a28e246bad0829a1feca554cc13d7404457d17c115e70f8.css")
 |      #<Roadie::Rails::AssetPipelineProvider:0x00000007cbfc08>: Could not find stylesheet "$FOREMAN_PREFIX/assets/unimported/email-2661723e7b5ca9b48a28e246bad0829a1feca554cc13d7404457d17c115e70f8.css"
 | Used provider:
 | #<Roadie::Rails::AssetPipelineProvider:0x00000007cbfc08>
 |

Comment 9 Og Maciel 2017-11-28 19:24:14 UTC
Failing this issue as no emails are being sent for sync of repositories or promotion of content views. For all other actions emails are being sent.

This was tested on satellite-6.3.0-21.0.beta.el7sat.noarch

Comment 10 Justin Sherrill 2018-01-08 18:26:39 UTC
Found an issue in foreman-tasks that caused this: http://projects.theforeman.org/issues/22177

Comment 13 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.